datacache <- new.env(hash=TRUE, parent=emptyenv())

hgug4112a <- function() showQCData("hgug4112a", datacache)
hgug4112a_dbconn <- function() dbconn(datacache)
hgug4112a_dbfile <- function() dbfile(datacache)
hgug4112a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgug4112a_dbInfo <- function() dbInfo(datacache)

hgug4112aORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgug4112a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgug4112a", "chip hgug4112a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgug4112a_dbconn())
}

